## ros-humble-ros-ign-bridge 0.244.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ros_ign_bridge)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)

add_executable(parameter_bridge src/parameter_bridge_shim.cpp)
ament_target_dependencies(parameter_bridge ament_index_cpp)

add_executable(static_bridge src/static_bridge_shim.cpp)
ament_target_dependencies(static_bridge ament_index_cpp)

ament_export_dependencies(ament_index_cpp ros_gz_bridge)

install(TARGETS
  parameter_bridge
  static_bridge
  DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-ros-ign-bridge (0.244.11-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 23 May 2023 05:00:00 -0000

ros-humble-ros-ign-bridge (0.244.10-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 03 May 2023 05:00:00 -0000

ros-humble-ros-ign-bridge (0.244.9-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 03 Nov 2022 05:00:00 -0000

ros-humble-ros-ign-bridge (0.244.8-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Fri, 28 Oct 2022 05:00:00 -0000

ros-humble-ros-ign-bridge (0.244.7-1jammy) jammy; urgency=high

  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Merge branch 'galactic' into ports/galactic_to_ros2
  * Make tests faster and more robust (#272 <https://github.com/gazebosim/ros_gz/issues/272>)
  * Improve documentation around yaml configuration (#271 <https://github.com/gazebosim/ros_gz/issues/271>)
  * Fix small typo in bridge README (#270 <https://github.com/gazebosim/ros_gz/issues/270>)
  * Port NavSat (#224 <https://github.com/gazebosim/ros_gz/issues/224>) from ROS 1 to ROS 2 (#268 <https://github.com/gazebosim/ros_gz/issues/268>)
    Co-authored-by: Tyler Howell <mailto:76003804+TyHowellWork@users.noreply.github.com>
  * Add ParamVec and bridge from Ignition (#261 <https://github.com/gazebosim/ros_gz/issues/261>)
    * Introduces ros_ign_interfaces::msg::ParamVec for storing a list of Parameters that are int, bool, double, or string.
    * Introduces bridge for ignition::msgs::param to ros_ign_interfaces::msg::ParamVec
    * Introduces bridge for ignition::msgs::param_v to ros_ign_interfaces::msg::ParamVec
  * Add support for converting Any <-> ParamValue (#260 <https://github.com/gazebosim/ros_gz/issues/260>)
    * Add support for converting Any <-> ParamValue
  * Feature: set QoS options to override durability (#250 <https://github.com/gazebosim/ros_gz/issues/250>) (#259 <https://github.com/gazebosim/ros_gz/issues/259>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
    Co-authored-by: Daisuke Nishimatsu <mailto:42202095+wep21@users.noreply.github.com>
  * Add node component and yaml-configured bridge node (#238 <https://github.com/gazebosim/ros_gz/issues/238>)
    * Refactor in support of adding yaml-configured node
  * Add rssi to Dataframe.msg (#249 <https://github.com/gazebosim/ros_gz/issues/249>)
    * Adding rssi field to ros_ign_interfaces/Dataframe.msg
  * Use the python generator for tests as well (#234 <https://github.com/gazebosim/ros_gz/issues/234>)
    * Use the python generator for tests as well
  * Generate boilerplate files from Python scripts (#233 <https://github.com/gazebosim/ros_gz/issues/233>)
    The way that we add factories can be a bit error-prone, as there are a lot of strings that cannot be checked at compilation time. This changes several of the boilerplate files to be generated automatically by python scripts, in line with how ros1_bridge does it.
  * [galactic] Backport GuiCamera, StringVec, TrackVisual, VideoRecord (#241 <https://github.com/gazebosim/ros_gz/issues/241>)
    * [ros_ign_interfaces] Add more interface definitions.
    * Add converion functions for the added messages
    * Update the factory factory function with the new messages
    * Add new messages to docs
    * Add test cases for the new messages conversions
    Co-authored-by: Ivan Santiago Paunovic <mailto:ivanpauno@ekumenlabs.com>
  * Add Dataframe message and bridging (#239 <https://github.com/gazebosim/ros_gz/issues/239>)
  * Factory interface needs virtual destructor (#232 <https://github.com/gazebosim/ros_gz/issues/232>)
  * Optional "lazy" bridge subscribers (#225 <https://github.com/gazebosim/ros_gz/issues/225>)
    This allows for the bridge to be created in such a way that it is "lazy". In this case "lazy" means:
    * The publication (output) side of the bridge is always on and actively looking for subscriptions.
    * The subscription (input) side of the bridge is only turned on in the case that there are subscriptions on the output side.
  * Contributors: Carlos Agüero, Louise Poubel, Michael Carroll

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 12 Oct 2022 05:00:00 -0000

ros-humble-ros-ign-bridge (0.244.6-1jammy) jammy; urgency=high

  * Restructured directories (#296 <https://github.com/gazebosim/ros_gz/issues/296>)
  * Contributors: Alejandro Hernández Cordero

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 14 Sep 2022 05:00:00 -0000

ros-humble-ros-ign-bridge (0.244.5-1jammy) jammy; urgency=high

  * ign -> gz : ros_gz Migration (Shims) (#281 <https://github.com/gazebosim/ros_gz/issues/281>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: methylDragon

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 12 Sep 2022 05:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-ign-bridge//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ros-ign-bridge 0.244.14

=== debian/changelog ===
ros-humble-ros-ign-bridge (0.244.14-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-ros-ign-bridge (0.244.13-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Mon, 22 Jan 2024 16:00:00 -0000

ros-humble-ros-ign-bridge (0.244.12-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 12 Dec 2023 16:00:00 -0000

ros-humble-ros-ign-bridge (0.244.11-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Mon, 22 May 2023 16:00:00 -0000

ros-humble-ros-ign-bridge (0.244.10-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 02 May 2023 16:00:00 -0000

ros-humble-ros-ign-bridge (0.244.9-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 02 Nov 2022 16:00:00 -0000

ros-humble-ros-ign-bridge (0.244.8-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 27 Oct 2022 16:00:00 -0000

ros-humble-ros-ign-bridge (0.244.7-1bookworm) bookworm; urgency=high

  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Merge branch 'galactic' into ports/galactic_to_ros2
  * Make tests faster and more robust (#272 <https://github.com/gazebosim/ros_gz/issues/272>)
  * Improve documentation around yaml configuration (#271 <https://github.com/gazebosim/ros_gz/issues/271>)
  * Fix small typo in bridge README (#270 <https://github.com/gazebosim/ros_gz/issues/270>)
  * Port NavSat (#224 <https://github.com/gazebosim/ros_gz/issues/224>) from ROS 1 to ROS 2 (#268 <https://github.com/gazebosim/ros_gz/issues/268>)
    Co-authored-by: Tyler Howell <mailto:76003804+TyHowellWork@users.noreply.github.com>
  * Add ParamVec and bridge from Ignition (#261 <https://github.com/gazebosim/ros_gz/issues/261>)
    * Introduces ros_ign_interfaces::msg::ParamVec for storing a list of Parameters that are int, bool, double, or string.
    * Introduces bridge for ignition::msgs::param to ros_ign_interfaces::msg::ParamVec
    * Introduces bridge for ignition::msgs::param_v to ros_ign_interfaces::msg::ParamVec
  * Add support for converting Any <-> ParamValue (#260 <https://github.com/gazebosim/ros_gz/issues/260>)
    * Add support for converting Any <-> ParamValue
  * Feature: set QoS options to override durability (#250 <https://github.com/gazebosim/ros_gz/issues/250>) (#259 <https://github.com/gazebosim/ros_gz/issues/259>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
    Co-authored-by: Daisuke Nishimatsu <mailto:42202095+wep21@users.noreply.github.com>
  * Add node component and yaml-configured bridge node (#238 <https://github.com/gazebosim/ros_gz/issues/238>)
    * Refactor in support of adding yaml-configured node
  * Add rssi to Dataframe.msg (#249 <https://github.com/gazebosim/ros_gz/issues/249>)
    * Adding rssi field to ros_ign_interfaces/Dataframe.msg
  * Use the python generator for tests as well (#234 <https://github.com/gazebosim/ros_gz/issues/234>)
    * Use the python generator for tests as well
  * Generate boilerplate files from Python scripts (#233 <https://github.com/gazebosim/ros_gz/issues/233>)
    The way that we add factories can be a bit error-prone, as there are a lot of strings that cannot be checked at compilation time. This changes several of the boilerplate files to be generated automatically by python scripts, in line with how ros1_bridge does it.
  * [galactic] Backport GuiCamera, StringVec, TrackVisual, VideoRecord (#241 <https://github.com/gazebosim/ros_gz/issues/241>)
    * [ros_ign_interfaces] Add more interface definitions.
    * Add converion functions for the added messages
    * Update the factory factory function with the new messages
    * Add new messages to docs
    * Add test cases for the new messages conversions
    Co-authored-by: Ivan Santiago Paunovic <mailto:ivanpauno@ekumenlabs.com>
  * Add Dataframe message and bridging (#239 <https://github.com/gazebosim/ros_gz/issues/239>)
  * Factory interface needs virtual destructor (#232 <https://github.com/gazebosim/ros_gz/issues/232>)
  * Optional "lazy" bridge subscribers (#225 <https://github.com/gazebosim/ros_gz/issues/225>)
    This allows for the bridge to be created in such a way that it is "lazy". In this case "lazy" means:
    * The publication (output) side of the bridge is always on and actively looking for subscriptions.
    * The subscription (input) side of the bridge is only turned on in the case that there are subscriptions on the output side.
  * Contributors: Carlos Agüero, Louise Poubel, Michael Carroll

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 11 Oct 2022 16:00:00 -0000

ros-humble-ros-ign-bridge (0.244.6-1bookworm) bookworm; urgency=high

  * Restructured directories (#296 <https://github.com/gazebosim/ros_gz/issues/296>)
  * Contributors: Alejandro Hernández Cordero

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 13 Sep 2022 16:00:00 -0000

ros-humble-ros-ign-bridge (0.244.5-1bookworm) bookworm; urgency=high

  * ign -> gz : ros_gz Migration (Shims) (#281 <https://github.com/gazebosim/ros_gz/issues/281>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: methylDragon

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

=== debian/control ===
Source: ros-humble-ros-ign-bridge
Section: misc
Priority: optional
Maintainer: Brandon Ong <brandon@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-index-cpp, ros-humble-ros-gz-bridge, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ros-ign-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ros-gz-bridge, ros-humble-ros-workspace
Description: Shim package to redirect to ros_gz_bridge.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-ign-bridge//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-ign-bridge//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ros-ign-bridge//opt/ros/humble/opt/ros_ign_bridge/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-ros-ign-bridge 0.244.16

=== debian/changelog ===
ros-humble-ros-ign-bridge (0.244.16-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Sun, 21 Jul 2024 16:00:00 -0000

ros-humble-ros-ign-bridge (0.244.15-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 02 Jul 2024 16:00:00 -0000
